# pamgetcolor

Updated: 18 May 2018
Table Of Contents

## NAME

pamgetcolor - display the average colors from specified regions in an image.

## SYNOPSIS

pamgetcolor [-format format] [-radius radius] [-linear] [-infile pamfile] region1 [region2 ...]

## DESCRIPTION

This program is part of Netpbm.

pamgetcolor prints the average colors of a set of circular regions in the input image.

You specify a region as a positional argument of the form column,row[:label], where column and row are the coordinates of the center of the circle (first row of pixels is row 0; leftmost column of pixels is column 0), and label an optional label that pamgetcolor shall display to identify that region in its output. All regions have he same radius, specified by the -radius option. The region centers must lie within the image, but part of a region may fall outside the image; pamgetcolor considers only the part that is within the image in calculations.

## EXAMPLES

To read the color of the pixel at location (10,14) in the default format:

        pamgetcolor 10,14 -infile test.ppm

To read the colors of three pixels in the default format, assigning a label to each pixel:

        pamgetcolor 10,10:topleft 100,100:middle 200,200:bottomright -infile test.ppm

To read with 16-bit precision the average color in the circle with a radius of four pixels and the center at (100,100):

        pamgetcolor -format int:65535 -radius 4 100,100 -infile test.ppm

## OPTIONS

-format
  This specifies the format in which to output the colors. The output is always a Netpbm color specification; this format tells which of the various specifications for the same color the program uses.

  This argument is of the form formatId[:param], where formatId specifies the format and param is a positive integer parameter that, depending on formatId, indicates either precision or normalization. The following values are possible for formatId:

  `int`
    Samples are decimal integers normalized to the maxval specified by param. Example: rgb-255:255/128/64 This format is the default, with a maxval of 255.
  `norm`
    Samples are floating point numbers normalized to unity. E.g. rgbi:1.0/0.5/.25 param specifies precision as the number of digits in the fractional part.
  `x11`
    Samples are hexadecimal numbers with param digits, e.g. rgb:01/ff/8000
-radius
  sets the radius of the regions. A value of zero causes pamgetcolor to measure a single pixel and is the default.
-infile
  This specifies the Netpbm file to analyze.

  If you don't specify this option, pamgetcolor reads the image from Standard Input.

-linear
  This tells pamgetcolor to work with the intensity-linear variation of Netpbm images where the samples are proportional to light intensity rather than to brightness, as in true (gamma-adjusted) Netpbm formats.

## SEE ALSO

pnmcolormap,

## AUTHOR

This program was first submitted by Anton Shepelev (anton.txt@gmail.com).

## HISTORY

This program was new in Netpbm 10.83 (June 2018).

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- EXAMPLES
- OPTIONS
- SEE ALSO
- AUTHOR
- HISTORY